k0rdent AI Docs

Create Kubernetes cluster

Visibility: internal · public ( OpenAPI Custom Extension: x-visibility )

"Cluster CRUD API: manage clusters"; Create a new Kubernetes cluster. Async operation.

POST
/v1/regions/{region}/projects/{project}/compute/clusters

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer token authentication using OAuth2/OIDC tokens

In: header

Path Parameters

region*string

Region identifier

project*string

Project identifier

Request Body

application/json

kubernetesVersion?string

Desired Kubernetes version

id?string

Name of the resource. Must be 1-63 characters long and match the pattern a-z? — the first character must be a lowercase letter, and all following characters must be lowercase letters, digits, or hyphens, with the last character being a letter or digit. If not specified, the server will generate a name.

Match^[a-z]([-a-z0-9]*[a-z0-9])?$
Length1 <= length <= 63
displayName?string

Optional human-friendly display name for the cluster.

description?string

An optional description of this resource.

nodePools?array<unknown>

Node pools belonging to this cluster.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.k0rdent.ai/v1/regions/string/projects/string/compute/clusters" \  -H "Content-Type: application/json" \  -d '{}'
{
  "selfLink": "/v1/regions/us-texas-1/projects/project-x9y8z7/compute/clusters/cluster-a1b2c3",
  "uid": "07cc67f4-45d6-494b-adac-09b5cbc7e2b5",
  "id": "cluster-a1b2c3",
  "displayName": "string",
  "description": "string",
  "nodePools": [
    null
  ],
  "status": {
    "phase": "string",
    "conditions": [
      {}
    ]
  },
  "nodeCount": 0,
  "kubernetesVersion": "string",
  "endpoint": {
    "url": "string",
    "caCertificate": "string"
  },
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}

How is this guide?

On this page

No Headings